<template>
  <div>
    <q-btn  style="margin-top:30px; margin-left: 30px" color="orange" icon="arrow_back" label="Kembali" />

    <div class="row" style="margin-left: auto; margin-right: auto; margin-bottom: 10px; margin-top: 50px; width: 95%" >
      <q-btn  style=" margin-left: 30px" color="blue" icon="add" label="Tambah Produk" />
      <q-btn  @click="filterDiv = true" text-color="white" style=" margin-left: 30px; background-color: darkgray;" icon="search" label="Tampilkan Filter" v-if="!filterDiv" />
      <q-btn  @click="filterDiv = false" text-color="white" style=" margin-left: 30px; background-color: darkgray;" icon="search" label="Sembunyikan Filter" v-if="filterDiv" />
    </div>

    <div class="q-pa-md" style="width: 90%; background: #4caf50; color: white; margin-top: 50px; margin-left: auto; margin-right: auto; box-shadow: 0 0px 8px 0 rgba(0,0,0,0.2), -7px 0 5px -3px #4caf50">
      <h6 style="margin: 0px">Produk Saya</h6>
    </div>

    <div  v-if="filterDiv" class="q-pa-md" style="width: 90%; padding: 0; margin: auto; margin-top: 0px; box-shadow: 0 0px 8px 0 rgba(0,0,0,0.2), -7px 0 5px -3px #4caf50">
      <div>
        <p>&nbsp;</p>
        <div class="row">
          <h6 style="margin-left: 10px; margin-top: 0px; margin-bottom: 10px">Filter Produk</h6>
        </div>
        <div class="row">
          <div class="col">
            <q-input style="padding: 10px" standout="bg-green text-white" label="Nama Produk"/>
          </div>
          <div class="col">
            <q-select style="padding: 10px" standout="bg-green text-white" options="options" label="Pilih Kategori" />
          </div>
          <div class="col">
            <q-select style="padding: 10px" standout="bg-green text-white" options="options" label="Pilih Jenis" />
          </div>
        </div>
        <p>&nbsp;</p>
      </div>
    </div>


      <div class="col-md-12" style="width: 90%; padding: 0; margin-left: auto; margin-right: auto; box-shadow: 0 0px 8px 0 rgba(0,0,0,0.2), -7px 0 5px -3px #4caf50" >
        <div style="width: 100%; padding: 0;"  class="q-pa-md">
          <div class="q-gutter-y-md" style="width: 100%">
            <q-card>
              <q-tabs
                v-model="tab"
                dense
                class="text-grey"
                active-color="green"
                indicator-color="green"
                align="justify"
                narrow-indicator
              >
                <q-tab name="Semua" label="Semua" />
                <q-tab name="Tayang" label="Tayang" />
                <q-tab name="Diperiksa" label="Diperiksa" />
                <q-tab name="Arsip" label="Arsip" />
              </q-tabs>
              <q-separator />

              <q-tab-panels v-model="tab" animated >

                <q-tab-panel name="Semua">
                  <q-form
                    @submit="onSubmit"
                    @reset="onReset"
                    class="q-gutter-md"
                  >
                    <div class="q-pa-md">
                      <q-markup-table flat bordered>
                        <thead class="bg-teal">
                        <tr>
                          <th colspan="9">
                            <div class="row no-wrap items-center">
                              <div class="text-h4 q-ml-md text-white">Daftar Approval Produk</div>
                            </div>
                          </th>
                        </tr>
                        <tr>
                          <th class="text-left">No</th>
                          <th class="">Gambar Utama</th>
                          <th class="">Nama Produk</th>
                          <th class="">Jenis</th>
                          <th class="">Kategori</th>
                          <th class="">Harga</th>
                          <th class="">Status</th>
                          <th class="" style="width: 100px">Aksi</th>
                        </tr>
                        </thead>
                        <tbody class="bg-grey-3">
                        <tr>
                          <td class="">1.</td>
                          <td class="" style="text-align: center">Gambar.jpg</td>
                          <td class="" style="text-align: center">Jasa Pembangunan Jembatan</td>
                          <td class="" style="text-align: center">Jasa</td>
                          <td class="" style="text-align: center">Developer</td>
                          <td class="" style="text-align: center">Rp. 40.000.000</td>
                          <td class="" style="text-align: center">Tayang</td>
                          <td class="">     <q-btn
                            padding="4px"
                            size="10px"
                            color="primary"
                            label="Detail"/>
                            <q-btn
                              text-color="white"
                              style="margin-left: 4px; background-color: orange"
                              padding="4px"
                              size="10px"
                              label="Edit"/>
                            <q-btn
                              text-color="white"
                              style="margin-left: 4px; background-color: red"
                              padding="4px"
                              size="10px"
                              label="Hapus"/>
                            <q-btn
                              padding="4px"
                              text-color="white"
                              style="margin-left: 4px; background-color: #666666"
                              size="10px"
                              label="Tayang"
                            /></td>
                        </tr>
                        <tr>
                          <td class="">2.</td>
                          <td class="" style="text-align: center">Jasa.jpg</td>
                          <td class="" style="text-align: center">Paku 75</td>
                          <td class="" style="text-align: center">Barang</td>
                          <td class="" style="text-align: center">Material</td>
                          <td class="" style="text-align: center">Rp. 75.000</td>
                          <td class="" style="text-align: center">Diperiksa</td>
                          <td class="">     <q-btn
                            padding="4px"
                            size="10px"
                            color="primary"
                            label="Detail"/>
                          </td>
                        </tr>
                        <tr>
                          <td class="">3.</td>
                          <td class="" style="text-align: center">Barang.jpg</td>
                          <td class="" style="text-align: center">Proyek Pembangunan</td>
                          <td class="" style="text-align: center">Proyek</td>
                          <td class="" style="text-align: center"></td>
                          <td class="" style="text-align: center">Rp. 300.000.000</td>
                          <td class="" style="text-align: center">Arsip</td>
                          <td class="">     <q-btn
                            padding="4px"
                            size="10px"
                            color="primary"
                            label="Detail"/>
                            <q-btn
                              text-color="white"
                              style="margin-left: 4px; background-color: orange"
                              padding="4px"
                              size="10px"
                              label="Edit"/>
                            <q-btn
                              text-color="white"
                              style="margin-left: 4px; background-color: red"
                              padding="4px"
                              size="10px"
                              label="Hapus"/>
                            <q-btn
                              padding="4px"
                              text-color="white"
                              style="margin-left: 4px; background-color: #666666"
                              size="10px"
                              label="Tayang"
                            /></td>
                        </tr>
                        </tbody>
                      </q-markup-table>
                    </div>
                    <div style="line-break: auto; width: 100%; height: 50px"> </div>
                    <template v-slot:prepend>

                      <q-icon name="event" />
                    </template>
                  </q-form>

                </q-tab-panel>

                <q-tab-panel name="alamat">
                  <q-form
                    @submit="onSubmit"
                    @reset="onReset"
                    class="q-gutter-md"
                  >
                    <template v-slot:prepend>
                      <q-icon name="event" />
                    </template>
                    <div style="line-break: auto; width: 100%; height: 250px"> </div>
                  </q-form>
                </q-tab-panel>

                <q-tab-panel name="diperiksaq">
                  <q-form
                    @submit="onSubmit"
                    @reset="onReset"
                    class="q-gutter-md"
                  >
                    <template v-slot:prepend>
                      <q-icon name="event" />
                    </template>
                    <div style="line-break: auto; width: 100%; height: 250px"> </div>
                  </q-form>
                </q-tab-panel>

                <q-tab-panel name="arsip">
                  <q-form
                    @submit="onSubmit"
                    @reset="onReset"
                    class="q-gutter-md"
                  >
                    <div style="line-break: auto; width: 100%; height: 250px"> </div>
                  </q-form>
                </q-tab-panel>
              </q-tab-panels>
            </q-card>

          </div>
        </div>

      </div>
    </div>



</template>

<script>

export default {


  data () {
    return {

      filterDiv: false,
      tab: 'Semua',
      name: null,
      age: null,
      accept: false,
      gproduk: true
    }
  },

  methods: {
    gantiDataDiv() {
      if (this.dataDiv == true) {
        this.dataDiv = false
      } else {
        this.dataDiv = true
      }
    },
    onSubmit () {
      if (this.accept !== true) {
        this.$q.notify({
          color: 'red-5',
          textColor: 'white',
          icon: 'warning',
          message: 'You need to accept the license and terms first'
        })
      }
      else {
        this.$q.notify({
          color: 'green-4',
          textColor: 'white',
          icon: 'cloud_done',
          message: 'Submitted'
        })
      }
    },

    onReset () {
      this.name = null
      this.age = null
      this.accept = false
    }
  }
}

</script>

<style scoped>

</style>
